
Ponder.registry((event) => {
    event.create(['forbidden_arcanus:clibano_core'])
       
    .scene("clibano_core", "Building the clibano core", "kubejs:clibano_core", (scene, util) => {
        //scene.showStructure();
        for (let x = 0; x < 5; x++) {
            for (let z = 0; z < 5; z++) {
                scene.world.showSection([x, 0, z], Facing.down)
                scene.idle(2)
            }
            if (x == 1) {
                scene.text(10, "§9 5x5的结构")
            }
            if (x == 2) {
                scene.text(20, "四个拐角为磨制暗黑石，其余地方为磨制暗黑石砖", [0.5, 1, 0.5])
            }
           
        }

        scene.idle(20)
        scene.text(20, "磨制暗黑石砖", [0.5, 1.5, 2.5])
        let polished_darkstone_bricks = [
            { x: 0, y: 1, z: 0 },
            { x: 1, y: 1, z: 0 },
            { x: 2, y: 1, z: 0 },
            { x: 2, y: 1, z: 1 },
            { x: 2, y: 1, z: 2 },
            { x: 1, y: 1, z: 2 },
            { x: 0, y: 1, z: 2 },
            { x: 0, y: 1, z: 1 },
        ]
        polished_darkstone_bricks.forEach(pos => {
            scene.world.setBlock([pos.x, pos.y, pos.z], "forbidden_arcanus:polished_darkstone_bricks", false)
            scene.world.showSection([pos.x, pos.y, pos.z], Facing.down)
            scene.idle(20)
        })
        scene.text(20, "磨制暗黑石", [0.5, 1.5, 2.5])
        let polished_darkstone = [
            { x: 0, y: 2, z: 0 },
            { x: 2, y: 2, z: 0 },
            { x: 2, y: 2, z: 2 },
            { x: 0, y: 2, z: 2 },
           
        ]
        polished_darkstone.forEach(pos => {
            scene.world.setBlock([pos.x, pos.y, pos.z], "forbidden_arcanus:polished_darkstone", false)
            scene.world.showSection([pos.x, pos.y, pos.z], Facing.down)
            scene.idle(20)
        })

        scene.idle(20)
        scene.text(20, "磨制暗黑石砖", [0.5, 1.5, 2.5]).placeNearTarget()
        let polished_darkstone_bricks1 = [
            { x: 1, y: 2, z: 0 },
            { x: 1, y: 2, z: 1 },
            { x: 1, y: 2, z: 2 },
            { x: 0, y: 2, z: 1 },
            { x: 2, y: 2, z: 1 },

        ]
        polished_darkstone_bricks1.forEach(pos => {
            scene.world.setBlock([pos.x, pos.y, pos.z], "forbidden_arcanus:polished_darkstone_bricks", false)
            scene.world.showSection([pos.x, pos.y, pos.z], Facing.down)
            scene.idle(20)
        })
        scene.idle(20)
        scene.addKeyframe()
        scene.world.setBlock([1, 1, 0], "forbidden_arcanus:clibano_core", false)
        scene.world.showSection([1, 1, 0], Facing.down)
        scene.text(20, "请替换至炽炉核心", [1.5, 1.5, 0.5]).placeNearTarget()

        scene.idle(20)
            scene.showControls(60, [1.5, 1.5, 0.5], "down")
                .rightClick()
                .withItem("forbidden_arcanus:mundabitur_dust")
                .whileSneaking()
            scene.idle(20)
            scene.world.modifyBlock([1, 1, 0], () => Block.id("forbidden_arcanus:clibano_core"), true)




    })
   
   

   
   




});  